precision highp float;

varying vec2 c;
attribute vec2 pos;

void main(){ 
    
    gl_Position.xy = 2.0*pos-vec2(1.0);
    gl_Position.zw = vec2(0.5,1.0);
    
    c=pos;
}




precision highp float;

varying vec2 c;
uniform sampler2D tTex;

void main(){

    gl_FragColor = texture2D(tTex,c).rgbr; 
    
}